package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.po.scene.SceneRiskPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;


@Mapper
public interface SceneRiskMapper {

    List<SceneRiskPO> selectSceneIdsByEvaluation(SceneRiskPO sceneRiskPO);


    @Select("select sr.scene_id, sr.scene_type,sr.rule_id ,ser.rule_name, sr.task_id ,sr.risk, sr.risk_level\n" +
            "from scene_risk sr LEFT JOIN scene_evaluation_rule ser  ON ser.rule_id = sr.rule_id \n" +
            "where sr.scene_id = #{sceneId} order by sr.create_time desc" )
    List<SceneRiskPO> querySceneEvaluationRiskDetail(@Param("sceneId") String sceneId);

}
